.proplist{
    padding: 2rem 10px;
}

.proplist__head{
    text-align: center;
    justify-content: center;
    display: block;
    margin-bottom: 1.5em;
}

.proplist__head > .ctrl{
    width: 100%;
}

.proplist__head  .counter{
    padding-left: 5px;
    padding-right: 5px;
}

.proplist__head select{
    background-color: var(--color-white1);
}

@media (min-width:30em){
    .proplist__head{
        margin-left: auto;
        margin-right: auto;
    }
    .proplist__head > div{
        display: inline-block;
    }
    .proplist__head > .ctrl{
        width: auto;
    }
}


.proplist__item{
    position: relative;
    padding: 1rem auto;
    background-color: var(--color-white1);
    color: var(--color-black1);
    box-shadow: 0 0 6px 2px rgba(0, 0, 0, 0.22);
    width: 90vw;
    margin-left: auto;
    margin-right: auto;
    transition: .6s;
    
    display: block;
    margin-top: 2em; 
}
.proplist__item >a{
    text-decoration: none;
    color: var(--color-black1);
    
}

.proplist__imgwrap{
    position: relative;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.proplist__imgwrap > img{
    width: 100%;
    height: auto;
}

.proplist__imgwrap > .img{
    width: 100%;
    padding-bottom: 75%;
    position: relative;
}
.proplist__imgwrap > .img > img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.proplist__imgwrap::after{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 54px;
    background-image: linear-gradient(180deg, rgba(0,0,0,0), rgba(0,0,0,.4) 50%);
}

.proplist__imgwrap .id{
    top: 10px;
    left: 10px;
    background-color: var(--color-green1);
    color: var(--color-white1);
    position: absolute;
    padding: 3px 15px;
    font-weight: 700;
    font-size: 1.1rem;
    border-bottom-right-radius: 10px;
    top: 0px;
    left: 0px;
    transition: .2s;
}
.proplist__imgwrap:hover .id{
    padding-left: 10%;
}

.proplist__imgwrap .price{
    bottom: 10px;
    right: 10px;
    position: absolute;
    color: var(--color-white1);
    padding: 0;
    font-weight: 700;
    font-size: 1.3rem;
    transition-duration: 0.2s;
    z-index: 1;
}

.proplist__item .addr,
.proplist__item .type{
    font-size: 1.2rem;
    font-weight: 700;
    display: inline;
}

.proplist__item .type{
    color: var(--color-secondary);
}

.proplist__item .addr::after{
    content: ', ';
}

.prop .icon > img,
.proplist__item .icon > img{
    display: inline;
    height: 1.5em;
    width: auto;
    margin-right: 5px;
    position: relative;
    top: 0.35em;
}
.prop .icon > img{
    height: 1.8em;
    top: 0.5em;
}

.proplist__item .grid{
    display: grid;
    grid-template-columns: 50% 50%;
    justify-items: start;
    align-items: center;
    padding: .6em auto;
    margin-top:.5em;
    margin-bottom: .5em;
}

.proplist__item .text{
    display:none;
    padding: 4px;
    background-color: var(--color-white3);
}

.proplist__item:after{
  content: "";
  display: table;
  clear: both;
}

@media (min-width:19em){
    .proplist__item .grid{ 
        grid-template-columns: repeat(4, minmax(25%,1fr));
    }
    .proplist__item .icon > img{
        display: block;
        height: 1.8em;
        top: 0px;
    }
    .proplist__item .icon{
        white-space: nowrap;
        text-align: center;
        padding-left: .5em;
    }
    .proplist__imgwrap .id{ font-size: 1.3rem; }
    .proplist__imgwrap .price{ font-size: 1.4rem; }
}

@media (min-width:21em){
    .proplist__item .grid{ 
        border-bottom: 2px solid var(--color-secondary);
        margin-bottom: 0px;
    }
    .proplist__item .text{ display: revert; }
    .proplist__item .icon > img{
        height: 1.9em;
    }
    .proplist__item .icon{
        white-space: nowrap;
        text-align: center;
        padding-left: .5em;
    }
}

@media (min-width:24em){
    .proplist__item .icon > img{
        height: 2em;
    }
    .proplist__imgwrap .id{ font-size: 1.4rem; 
                         padding: 4px 16px;}
    .proplist__imgwrap .price{ font-size: 1.6rem; }
}

@media (min-width:30em){
    .proplist__item .addr{ font-size: 1.5rem; }
}


@media (min-width:35em){
    .proplist__item .proplist__imgwrap{
        max-width: 270px;
        width: 50%;
        float: left;
        margin-right: .6em;
    }
    .proplist__imgwrap .id{ font-size: 1.25rem; }

    .proplist__item .addr,
    .proplist__item .type{ display: block;
                           font-size: 1.1rem;}
    .proplist__item .addr{ font-size: 1.2rem;}

    .proplist__item .addr::after{ content: ''; }

    .proplist__item .icon > img{
        display: inline;
        height: 1.7em;
        width: auto;
        top: 0.5em
    }

    .proplist__item .grid{
        align-items: flex-start;
        padding: .2em 2px;
        margin-top:.5em;
        text-align: left;
        border-bottom: none;
        grid-template-columns: 1fr;
        grid-row-gap: .2em;
    }
    .proplist__item .text{
        clear: left;
        background-color: unset;
        text-align: justify;
    }
    
}

@media (min-width:40em){
    .proplist__item .type{ font-size: 1.2rem;}
    .proplist__item .addr{font-size: 1.3rem;}
    
}


@media (min-width:44em){
/*  */  
    .proplist__item .grid{ 
        grid-template-columns: repeat(4, minmax(25%,1fr));
    }
    .proplist__item .icon > img{
        display: block;
        height: 2em;
        top: 0px;
    }
    .proplist__item proplist__imgwrap:{
        max-width: 270px;
        width: 50%;
        float: left;
    }
 
    .proplist__item .text{ clear: none}
}


@media (min-width:900px){
    .proplist__item{
    max-width: 1200px !important;
    }
    .proplist__item .grid{
        display: inline-grid;
    }
    
}


/* pagination*/
.proplist__pag{
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    row-gap: .5rem;
}

.proplist__pag > div{ flex-grow: 1;}
.proplist__pag > .pag__left { text-align: left;  min-width: 40%;}
.proplist__pag > .pag__right{ text-align: right; min-width: 40%;}
.proplist__pag > .pag__ctrl { text-align: center;min-width: 90%; order: 2;}

.proplist__pag .icon::before{ left: auto; }

.pag__left .btn__caption{  margin-left:  2ch;}
.pag__right .btn__caption{ margin-right: 1ch;}
.pag__right .icon::before{ rotate: 180deg;}

.proplist__pag .btn__caption,
.proplist__pag .pag__ctrl{ display: none; }

.proplist__pag .icon{
    position: relative;
    padding-left: unset;
    color: var(--color-white3);

  font-size: 2rem;
  left: -.6rem;    
}

@media (min-width:21em){
    .proplist__pag .pag__ctrl{ display: block; }
}

@media (41em <= width < 50em), (min-width:75em){
    .proplist__pag > div{ flex-grow: 0; min-width: unset !important;}
    .proplist__pag > .pag__ctrl { order: 0; flex-grow: 1;}
}

@media (min-width:50em){
    .proplist__pag .btn__caption{ display: inline; }
    .proplist__pag .icon{ font-size: inherit;
                          left: unset; }
}
/*pagination vége*/

#propsection{
  margin-top: 2rem !important;    
}

.prop__head{
  padding-top: .6em;
  width: 100%;
  text-align: center; 
}

.prop{
/*    margin-top: 128px !important;
*/
    max-width: 1400px;
}

.prop h2{
    display: inline;
    font-size: 6vw;
} 

.prop h2>span{
    background-color: var(--color-primary__hover);
    color: var(--color-white1);
    padding: auto 1rem;    
    padding-inline: 1rem;
    border-radius: 4px;
}

.prop > .layout--flex,
.wrap--btns,
.wrap--details{
    display: flex;
    flex-wrap: wrap;  
    justify-content:space-between;
    gap: 1rem;
}

.prop > .layout--flex > div,
.wrap--btns > div,
.wrap--details > div{
   flex-grow: 1;
   flex-basis: 90%;
   order: 1;
}


.prop__tbl > table,
.prop__details > table{
    width: 100%;
    border-collapse: collapse;
    border: none;
    line-height: 3em;
}

.prop__tbl tr >td:first-of-type{
    color: var(--color-gray3);
}

.prop__tbl tr {
    border-bottom: 1px #ccc solid;
}


.prop__tbl .price{
    font-weight: 700;
    font-size: 1.3rem;
}

.prop__tbl .icon{
    padding-left: .5rem;    
}

.prop__text > div{
    font-size: 1.1em;
    color: var(--color-gray3);
}


.prop__details > table th{
    font-size: 1.2em;
    background-color: var(--color-primary__hover);
/*    
    background-color: var(--color-green3);
*/
    color: var(--color-white1);
    text-align: center;
    letter-spacing: .5px;
    border-bottom: 5px solid var(--color-secondary);
}


.prop__details > table > tbody > tr{
/*    background-color: var(--color-gray1);
*/
  vertical-align: baseline;
}


.prop__details > table > tbody > tr:nth-child(2n){
    background-color: var(--color-white1);
}

/*
.prop__details > table > tbody td {
    padding: 10px 30px;
}
*/


.prop__details > table .spacer {
    padding: 1px 30px;
    white-space: nowrap;

}

#kozmuvek td{
    position: relative;
}

.prop__img{
 position: relative;
 height: 100%;
 width:100%;
/*
height: calc(width * .7);
    aspect-ratio: ;
*/
min-height: 150px;
}
.prop__img > .nincskep{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

.swiper{
    --swiper-navigation-color: var(--color-white1);   
    --swiper-preloader-color: var(--color-secondary);
    width: 100%;
/*
    height: 100%;
    overflow: visible;
    margin-left: auto;
    margin-right: auto;
*/
}

.swiper-slide {
/*
    text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-position: center;
    
*/
    height: unset !important;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sw-big {
  height: 80%;
  width: 100%;    
}

.sw--thmb {
  height: 20%;
  box-sizing: border-box;
  padding: 5px !important;
}

.sw--thmb .swiper-slide {
  width: 25%;
  height: 100%;
/*filter: brightness(.5);
  opacity: 0.5;
    filter: grayscale(.5);
*/
  opacity: 0.5;
    border:none;
}

.sw--thmb .swiper-slide-thumb-active {
opacity: 1;
border-bottom: 7px solid var(--color-green1);
box-shadow: 0 0 5px 1px black;

    filter: brightness(1);
    filter: grayscale(0);
}

.swiper-button--spec{
    text-shadow: 0 0 5px black;
/*    height: 100% !important;
    background-color: rgba(0,0,0,.5);
    top: 0 !important;
    right: 0 !important;
    bottom: 0;
    margin: 0 !important;
    min-width: 10%;
*/
    font-weight: 900;    
    transition-duration: .5s;
}
.swiper-button--spec:hover{
    color: var(--color-primary__hover);
/*    backdrop-filter: blur(5px);*/
    font-weight: 900;    
}
.swiper-button--spec:after:hover{
    color: var(--color-primary__hover);
/*    backdrop-filter: blur(5px);*/
    font-weight: 900;    
}
.swiper-button-next:after{

/*    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg); 
submenubol
    font-family: "fontawesome";
    font-weight: 900;
    font-size: 1.3em;
    position: absolute;
    content: "\f107";
    -webkit-transition: .6s all ease;
    -o-transition: .6s all ease;
    transition: 0.6s all ease-in-out;
*/    
/*  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%20viewBox%3D'0%200%2027%2044'%3E%3Cpath%20d%3D'M0%2C22L22%2C0l2.1%2C2.1L4.2%2C22l19.9%2C19.9L22%2C44L0%2C22L0%2C22L0%2C22z'%20fill%3D'%234c71ae'%2F%3E%3C%2Fsvg%3E") !important;
 background-color: red;
*/
} 
.swiper-button-next:after{
/*    display: none;
*/
}

.swiper-lazy-preloader{
    height: 100%;
}

/*
.swiper-lazy-preloader{
    animation: unset !important;
        background-color:red;
}

.swiper-lazy-preloader2{
    position: absolute;
    top: 0;
    object-fit: fill;
}
*/

.prop__telepnev{
    text-align: center;
    margin-top: .4rem;
    margin-bottom: .2rem;
}

/*grid swiperrel nem megy....*/

@media (min-width:40em){
    .wrap--btns > div{  flex-basis: 40% !important; }
}
@media (min-width:50em){
    .prop__img{ width: 50%; }
    .prop__img,
    .wrap--details{     flex-basis: 60% !important; }
    .prop__form,
    .wrap--btns{        flex-basis: 32% !important; }
    .wrap--btns > div{  flex-basis: 90% !important; }
}
@media (min-width:82em){
    .prop__img{ 
        flex-basis: calc(50% - .6rem) !important;
        flex-grow: 0 !important;
    }
    .prop__form{ order: 2 !important; }
    
    .prop__form,
    .wrap--btns{ flex-basis: 20% !important; }
    
    .wrap--details{ order: 3 !important;
                    flex-basis: 90% !important; }
    .wrap--details > div{ flex-basis: 40% !important; }
}


.prop__btns{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}


.fab{
    position: fixed;
    right: 1.5rem;
    bottom: 1.5rem;
    z-index: 1;                
    width: 48px;
}
            
.fab:hover .fab-buttons{
    opacity: 1;
    visibility: visible;
}
            
.fab:hover .fab-buttons__link {
    transform: scaleY(1) scaleX(1) translateY(-16px) translateX(0px);
}

.fab-action-button:hover + .fab-buttons .fab-buttons__link:before {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
    transform-origin: right center 0;
    transition-delay: 0.3s;
}
            
.fab-action-button {
    position: absolute;
    bottom: 0;
    display: block;
    width: 48px;
    height: 48px;                
    background-color: var(--color-secondary);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 0 4px 1px var(--color-green1);
    border-radius: 16px;
    opacity: 0.7;
    border: 2px solid white;
    transition: .4s;
    cursor: pointer;
}
            
.fab-action-button:hover {
    opacity: 1;
}
    
.fab-buttons {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 40px;                
    list-style: none;
    margin: 0;
    padding: 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s;
}
            
.fab-action-button__icon {
    display: inline-block;
    width: 24px;
    height: 33px;
    background: url('/images/icon-kapcsolat.svg') center no-repeat;
    background-size: contain;
    position: relative;
    left: 8px;
    top: 6px;                
}

.fab-buttons__item {
    display: block;
    text-align: center;
    margin: 12px 0;
}

.fab-buttons__link {
    display: inline-block;
    width: 40px;
    height: 40px;
    text-decoration: none;
    background-color: var(--color-white1);
    border-radius: 12px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    transform: scaleY(0.5) scaleX(0.5) translateY(0px) translateX(0px);
    -moz-transition: .3s;
    -webkit-transition: .3s;
    -o-transition: .3s;
    transition: .3s;
    cursor: pointer;
}

[data-tooltip]:before {
    top: 50%;
    margin-top: -11px;
    font-weight: 400;
    border-radius: 2px;
    background: var(--color-gray3);
    color: var(--color-white1);
    content: attr(data-tooltip);
    font-size: 12px;
    text-decoration: none;
    visibility: hidden;
    opacity: 0;
    padding: 4px 7px;
    margin-right: 12px;
    position: absolute;
    transform: scale(0);
    right: 100%;
    white-space: nowrap;
    transform-origin: top right;
    transition: all .3s cubic-bezier(.25, .8, .25, 1);
}
[data-tooltip]:hover:before {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
    transform-origin: right center 0;
}
            
.icon-material {
    display: inline-block;
height: 40px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 65%;
    filter: contrast(30%);            
}
            
.icon-material_sh{   background-image: url(/images/material-share_fill.svg);}
.icon-material_mail{ background-image: url(/images/material-comment-fill.svg);}
.icon-material_phone{background-image: url(/images/material-call_fill.svg);}

@media (min-width:50em){
    .fab{               width: 56px;}
    .fab-action-button{ width: 56px;
                        height:56px;}
    .fab-buttons {      bottom:50px;}   
    .fab-action-button__icon {
                        width: 33px;
                        height:33px;
                        left:  10px;
                        top:   10px;}
}
@media (min-width:99em){
    .fab{ top: 170px;
          left: 2rem;
          right: unset;
          bottom: unset;}
    .fab-buttons{ top:0px; 
                  bottom: unset; 
                  padding-top:2rem;}   
    [data-tooltip]:before{ left: 100%;
                           right: unset;
                           transform-origin: top left;
                           margin-left: 12px;}
}

.nincskep{
    background-color: var(--color-white3);
    background-image: url(/images/logo2023.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}